onsecondary
      ); /** don't care due to width 0 */

      --maui-button-text-color: var(--maui-color-text-copy);
      --maui-button-hover-text-color: var(--maui-color-text-copy);

      --maui-button-inverted-text-color: var(--maui-color-text-copy-inverted);
      --maui-button-inverted-hover-text-color: var(--maui-color-text-copy);

      --maui-button-primary-background-color: var(
        --maui-color-interaction-buttonprimary
      );
      --maui-button-primary-inverted-background-color: var(
        --maui-color-interaction-interaction-inverted
      );

      --maui-button-primary-hover-background-color: var(
        --maui-color-interaction-buttonprimaryhover
      );
      --maui-button-primary-inverted-hover-background-color: var(
        --maui-color-interaction-interaction-invertedhover
      );

      --maui-button-secondary-border-width: 2px; /** might be a global def. */
      --maui-button-secondary-hover-text-color: var(--maui-color-brand-white);
      --maui-button-secondary-hover-background-color: var(
        --maui-color-interaction-buttonsecondary
      );
      --maui-button-secondary-inverted-text-color: var(
        --maui-color-text-copy-inverted
      );
      --maui-button-secondary-inverted-hover-text-color: var(
        --maui-color-text-copy
      );

      --maui-button-secondary-inverted-hover-background-color: var(
        --maui-color-interaction-interaction-invertedhover
      );

      --maui-button-medium-min-height: 50px;
      --maui-button-medium-padding: var(--maui-spacing-3) var(--maui-spacing-5);

      --maui-button-small-min-height: 30px;
      --maui-button-small-padding: 0 var(--maui-spacing-5);

      --maui-button-primary-disabled-background-color: var(
        --maui-color-disabled-background
      );
      --maui-button-primary-disabled-border-color: var(
        --maui-color-disabled-background
      );
      --maui-button-primary-inverted-disabled-background-color: var(
        --maui-color-disabled-background-inverted
      );
      --maui-button-primary-inverted-disabled-border-color: transparent;

      --maui-button-primary-disabled-text-color: var(
        --maui-color-disabled-foreground
      );

      --maui-button-primary-inverted-disabled-text-color: var(
        --maui-color-disabled-foreground-inverted
      );

      --maui-button-secondary-disabled-background-color: transparent;
      --maui-button-secondary-disabled-border-color: var(
        --maui-color-disabled-foreground
      );
      --maui-button-secondary-disabled-text-color: var(
        --maui-color-disabled-foreground
      );

      --maui-button-secondary-inverted-disabled-border-color: var(
        --maui-color-disabled-foreground-inverted
      );
      --maui-button-secondary-inverted-disabled-text-color: var(
        --maui-color-disabled-foreground-inverted
      );
    }

    .s